Bug 521723

Summary: Review Request: perl-Makefile-Parser - Simple parser for Makefiles
Product: [Fedora] Fedora Reporter: Scott Radvan <sradvan>
Component: Package ReviewAssignee: Nick Bebout <nb>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: a.badger, fedora-package-review, ian, nb, notting, r.landmann, sradvan
Target Milestone: ---Flags: nb: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-03 19:32:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 521724    
Bug Blocks: 528347    

Description Scott Radvan 2009-09-07 19:23:54 EDT
Spec URL: http://sradvan.fedorapeople.org/perl-Makefile-Parser/

SRPM URL: http://sradvan.fedorapeople.org/perl-Makefile-Parser/

Description: This is a simple parser for Makefiles. It supports a subset of
the features recognized by GNU make, but not all of GNU make's advanced
features.  It provides support for other perl modules that require the
building process  specified in Makefiles but where the make module is not
suitable. I'm looking for a sponsor because this is my first package.
Comment 1 Nick Bebout 2009-10-21 20:55:19 EDT
Spec URL: http://sradvan.fedorapeople.org/perl-Makefile-Parser/perl-Makefile-Parser.spec
SRPM URL: http://sradvan.fedorapeople.org/perl-Makefile-Parser/perl-Makefile-Parser-0.211-1.fc11.src.rpm

FYI, please put the URL to the actual file in the review bug if you could.
Comment 2 Nick Bebout 2009-10-26 19:38:52 EDT
This is required for Publican 1.0 to be built.

I'll sign on as a comaintainer of it helps.
Comment 3 Nick Bebout 2009-10-26 20:34:28 EDT
I'll take this review.  Toshio (abadger1999) said that he will sponsor you based on my review and mentorship.
Comment 4 Nick Bebout 2009-10-26 22:32:14 EDT
OK: rpmlint must be run on every package. The output should be posted in the
review.

[nb@epsilon SPECS]$ rpmlint perl-Makefile-Parser.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@epsilon SRPMS]$ rpmlint perl-Makefile-Parser-0.211-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[nb@epsilon noarch]$ rpmlint perl-Makefile-Parser-0.211-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
both CC-BY-SA and BSD licenses are ok - there are also some PHP-licensed
libraries and LGPL libraries. 
OK: The License field in the package spec file must match the actual license. 
License tag is incorrect, see below
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. 
Make your conf file another source rather than combining it to the existing
tarball. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: If the package does not successfully compile, build or work on any arch bug
must be filed and/or exclude arch used. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/ is strictly forbidden.
N/A: Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
OK: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings.
OK: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
NA: Large documentation files must go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
NA: Header files must be in a -devel package.
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
NA: In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
NA: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8.  

This package is APPROVED.
Comment 5 Toshio Ernie Kuratomi 2009-10-26 22:44:37 EDT
Okay, you're sponsored.  Nick Bebout has offered to keep helping you to learn about packaging.  He's nb on irc.  If he's not around and you need help I'm also available as abadger1999.
Comment 6 Nick Bebout 2009-10-26 22:51:00 EDT
Sorry. the package is correctly licensed, Artistic or GPL.  Ignore the mention of CC-BY And Php in my review.
Comment 7 Scott Radvan 2009-10-28 21:04:19 EDT
New Package CVS Request
=======================

Package Name: perl-Makefile-Parser
Short Description: Simple parser for Makefiles
Owners: sradvan nb
Branches: F-10 F-11 F-12
InitialCC:  perl-sig
Comment 8 Kevin Fenzi 2009-10-28 22:41:19 EDT
cvs done.
Comment 9 Nick Bebout 2010-07-21 23:05:21 EDT
Package Change Request
======================
Package Name: perl-Makefile-Parser
New Branches: EL-5 EL-6
Owners: nb rlandmann
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-07-23 00:31:51 EDT
cvs done.